Bug 472113 - (CVE-2008-5148) CVE-2008-5148 geda-gnetlist insecure temporary file use
CVE-2008-5148 geda-gnetlist insecure temporary file use
Status: CLOSED NEXTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=moderate,source=cve,reported=2...
: Security
Depends On: 472114 472115 472116
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-18 15:17 EST by Josh Bressers
Modified: 2016-03-04 06:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-14 06:16:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2008-11-18 15:17:05 EST
sch2eaglepos.sh in geda-gnetlist 1.4.0 allows local users to overwrite
arbitrary files via a symlink attack on a /tmp/##### temporary file.

http://lists.debian.org/debian-devel/2008/08/msg00347.html
http://uvw.ru/report.sid.txt
Comment 1 Josh Bressers 2008-11-18 15:17:37 EST
Created geda-gnetlist tracking bugs for this issue

CVE-2008-5148 Affects: F8 [bug #472114]
CVE-2008-5148 Affects: F9 [bug #472115]
CVE-2008-5148 Affects: Fdevel [bug #472116]
Comment 2 Fedora Update System 2008-11-22 11:54:04 EST
geda-gnetlist-20080929-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.